'************************************************
' File:    ado-tables.vbs
' Autore:  Giovanni Cenati 
' http://digilander.libero.it/Cenati
' Codice liberamente utilizzabile citando il sito
' Descrizione: questo script usa Active Data Objects
' per leggere i nomi delle tabelle di un file mdb
' (il formato di Access). Elenca in una finestra
' di Internet Explorer i nomi dei campi di ogni
' tabella.        
'************************************************

'*** Crea una finestra di IE per l'output ***
Set myIE = CreateObject("InternetExplorer.Application")
myIE.Navigate "about:blank"
myIE.ToolBar = true:myIE.StatusBar = False:myIE.Resizable = False
Do:Loop While myIE.Busy
myIE.Width = 600:myIE.Height = 400
myIE.Left = 50:myIE.Top = 50
myIE.Visible = True
myIE.document.writeln("<html><title></title>"&_
  "<body><DIV id='cont'></DIV></body></html>")
Set IEWindow = myIE.Document.all("cont")
'**********************************************
Title= "Elenco tabelle e campi di un database - by Cenati Giovanni"

Set objArgs = WScript.Arguments  'Vedo se c' un agrogmento passato allo script
if objargs.count<>1 then  'altrimenti mostro come si usa il programma
	msgbox "Trascinare un file mdb sul programma per ottenere l'elenco dei campi",vbInformation+vbOkonly,Title
	myIE.quit
	wscript.quit
end if
DbFile = objArgs(0)  'questa variabile contiene il nome del file da leggere

Set oConnection = createobject("ADODB.Connection")
oConnection.open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & dbFile & ";"
Set cat = createobject ("adox.catalog")
cat.activeconnection= oConnection

Out="<h2><center>Database: " & DbFile & vbCrlf
out= out & "</center></h2><pre>"
For i=0 To cat.tables.count -1
	out= out & "Tables(" & i & ")=" & cat.tables(i).name & vbTab 
	out= out & cat.tables(i).type & vbCrlf
	For j=0 To cat.tables(i).columns.count -1
		out= out & Vbtab & "Columns("& j & ")=" 
		out= out & cat.tables(i).columns(j) 
		out= out & vbTab & cat.tables(i).columns(j).type 
		out= out & vbTab & cat.tables(i).columns(j).definedsize & vbCrlf
	Next
Next
out= out & "</pre>"

Const adVarWChar = 202
Const adColNullable=2
Const adWChar = 130

IEWindow.INNERHTML = out

oConnection.close
wscript.quit
